| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
Genfun::GaudiMathImplementation::GSLSplineDeriv2 Class Reference

`#include <GaudiMath/Splines.h>`

Inheritance diagram for Genfun::GaudiMathImplementation::GSLSplineDeriv2:
[legend]
Collaboration diagram for Genfun::GaudiMathImplementation::GSLSplineDeriv2:
[legend]

## Public Types
typedef SplineBase::Data1D | Data1D
typedef SplineBase::Data2D | Data2D

## Public Member Functions
| GSLSplineDeriv2 (const Data1D &x, const Data1D &y, const GaudiMath::Interpolation::Type type)
| mandatory macro from CLHEP/GenericFunctions More...
| GSLSplineDeriv2 (const Data2D &data, const GaudiMath::Interpolation::Type type)
| constructor from data vector More...
template<class DATAX , class DATAY >
| GSLSplineDeriv2 (const GaudiMath::Interpolation::Type type, DATAX begin_x, DATAX end_x, DATAY begin_y)
| templated constructor in the spirit of STL-algorithms More...
template<class DATA >
| GSLSplineDeriv2 (const GaudiMath::Interpolation::Type type, DATA begin, DATA end)
| templated constructor from the sequence of pairs as sequence of pairs the class TabulatedProperty can be used More...
| GSLSplineDeriv2 (const SplineBase &)
| constructor from base More...
| GSLSplineDeriv2 (const GSLSplineDeriv2 &)
| copy constructor More...
| ~GSLSplineDeriv2 () override
| destructor More...
double | operator() (double a) const override
| main method: evaluate the function More...
double | operator() (const Argument &x) const override
| main method: evaluate the function More...
unsigned int | dimensionality () const override
bool | hasAnalyticDerivative () const override
| Does this function have an analytic derivative? More...
Genfun::Derivative | partial (unsigned int i) const override
| Derivatives. More...
const SplineBase & | spline () const
| acess to the spline function More...
| operator const SplineBase & () const
| cast operator to the spline function More...

## Private Member Functions
| GSLSplineDeriv2 ()=delete
| default construtor is disabled ; More...
GSLSplineDeriv2 & | operator= (const GSLSplineDeriv2 &)=delete
| assignement operator is disabled ; More...

## Private Attributes
SplineBase | m_spline

## Detailed Description

Definition at line 411 of file Splines.h.

## Member Typedef Documentation

typedef SplineBase::Data1D Genfun::GaudiMathImplementation::GSLSplineDeriv2::Data1D

Definition at line 414 of file Splines.h.

typedef SplineBase::Data2D Genfun::GaudiMathImplementation::GSLSplineDeriv2::Data2D

Definition at line 415 of file Splines.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const Data1D & | x,
|  | const Data1D & | y,
|  | const GaudiMath::Interpolation::Type | type
| ) |  |

mandatory macro from CLHEP/GenericFunctions

constructor from vectors and type

constructor from vectors and type

Data1D x = .. ;
Data1D y = .. ;
const AbsFunction& func =
GSLSplineDeriv2( x , y , GaudiMath::Interpolation::Cspline ) ;
const double value = 1 ;
const double result = func( value ) ;

Parameters

  x | vector of x
  y | vector of y
  type | interpolation type

Data1D x = .. ;
Data1D y = .. ;
const AbsFunction& func =
GSLSplineDeriv( x , y , GaudiMath::Interpolation::Cspline ) ;
const double value = 1 ;
const double result = func( value ) ;

Parameters

  x | vector of x
  y | vector of y
  type | interpolation type

Definition at line 431 of file Splines.cpp.

434 : AbsFunction ()
435 , m_spline ( x , y , type )
436 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline
SplineBase m_spline
Definition: Splines.h:547
gaudirun.type
string type
Definition: gaudirun.py:151

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const Data2D & | data,
|  | const GaudiMath::Interpolation::Type | type
| ) |  |

constructor from data vector

Data2D data = ... ;
const AbsFunction& func =
GSLSplineDeriv2( data , GaudiMath::Interpolation::Cspline );
const double value = 1 ;
const double result = func( value ) ;

Parameters

  data | vector of (x,y) pairs
  type | interpolation type

Definition at line 460 of file Splines.cpp.

462 : AbsFunction ()
463 , m_spline ( data , type )
464 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline
SplineBase m_spline
Definition: Splines.h:547
gaudirun.type
string type
Definition: gaudirun.py:151
template<class DATAX , class DATAY >

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const GaudiMath::Interpolation::Type | type,
|  | DATAX | begin_x,
|  | DATAX | end_x,
|  | DATAY | begin_y
| ) |  |
| inline

templated constructor in the spirit of STL-algorithms

It is assumed that vector "y" has tehlength AT LEAST as long as "x"

SEQURNCE1 x = .. ;
SEQUENCE2 y = .. ;
const AbsFunction& func =
GSLSpline( GaudiMath::Interpoaltion::Cspline ,
x.begin () ,
x.end () ,
y.begin () );
const double value = 1 ;
const double result = func( value ) ;

Parameters

  begin_x | begin of X-sequence
  end_x | end of X-sequence
  begin_Y | begin of Y-sequence
  type | interpolation type

Definition at line 493 of file Splines.h.

497 : AbsFunction ( )
498 , m_spline( type , begin_x , end_x , begin_y )
499 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline
SplineBase m_spline
Definition: Splines.h:547
gaudirun.type
string type
Definition: gaudirun.py:151
template<class DATA >

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const GaudiMath::Interpolation::Type | type,
|  | DATA | begin,
|  | DATA | end
| ) |  |
| inline

templated constructor from the sequence of pairs as sequence of pairs the class TabulatedProperty can be used

Parameters

  begin | begin of sequence of pairs
  end | end of sequence of pairs
  type | interpolation type

Definition at line 513 of file Splines.h.

516 : AbsFunction ( )
517 , m_spline( type , begin , end )
518 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline
SplineBase m_spline
Definition: Splines.h:547
begin
auto begin(reverse_wrapper< T > &w)
Definition: reverse.h:45
gaudirun.type
string type
Definition: gaudirun.py:151
end
auto end(reverse_wrapper< T > &w)
Definition: reverse.h:47

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const SplineBase & | right | ) |

constructor from base

constructor from SplineBase

Definition at line 471 of file Splines.cpp.

472 : AbsFunction ()
473 , m_spline ( right )
474 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline
SplineBase m_spline
Definition: Splines.h:547

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const GSLSplineDeriv2 & | right | ) |

copy constructor

Definition at line 481 of file Splines.cpp.

482 : AbsFunction ()
483 , m_spline ( right )
484 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline
SplineBase m_spline
Definition: Splines.h:547

Genfun::GaudiMathImplementation::GSLSplineDeriv2::~GSLSplineDeriv2 | ( |  | ) |
| override

destructor

Definition at line 490 of file Splines.cpp.

490 {}

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( |  | ) |
| private delete

default construtor is disabled ;

## Member Function Documentation

unsigned int Genfun::GaudiMathImplementation::GSLSplineDeriv2::dimensionality | ( |  | ) | const
| inline override

Definition at line 530 of file Splines.h.

530 { return 1 ; }

bool Genfun::GaudiMathImplementation::GSLSplineDeriv2::hasAnalyticDerivative | ( |  | ) | const
| inline override

Does this function have an analytic derivative?

Definition at line 532 of file Splines.h.

532 { return true ; }

Genfun::GaudiMathImplementation::GSLSplineDeriv2::operator const SplineBase & | ( |  | ) | const
| inline

cast operator to the spline function

Definition at line 539 of file Splines.h.

539 { return spline() ; }
Genfun::GaudiMathImplementation::GSLSplineDeriv2::spline
const SplineBase & spline() const
acess to the spline function
Definition: Splines.h:537

double Genfun::GaudiMathImplementation::GSLSplineDeriv2::operator() | ( | double | a | ) | const
| override

main method: evaluate the function

Definition at line 494 of file Splines.cpp.

495 { return m_spline.deriv2 ( x ) ; }
Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline
SplineBase m_spline
Definition: Splines.h:547
Genfun::GaudiMathImplementation::SplineBase::deriv2
double deriv2(const double x) const
evaluate the second derivative
Definition: Splines.cpp:163

double Genfun::GaudiMathImplementation::GSLSplineDeriv2::operator() | ( | const Argument & | x | ) | const
| override

main method: evaluate the function

Definition at line 497 of file Splines.cpp.

498 { return m_spline.deriv2 ( x[0] ) ; }
Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline
SplineBase m_spline
Definition: Splines.h:547
Genfun::GaudiMathImplementation::SplineBase::deriv2
double deriv2(const double x) const
evaluate the second derivative
Definition: Splines.cpp:163

GSLSplineDeriv2& Genfun::GaudiMathImplementation::GSLSplineDeriv2::operator= | ( | const GSLSplineDeriv2 & |  | ) |
| private delete

assignement operator is disabled ;

Genfun::Derivative Genfun::GaudiMathImplementation::GSLSplineDeriv2::partial | ( | unsigned int | i | ) | const
| override

Derivatives.

Definition at line 504 of file Splines.cpp.

505 {
506 if ( i >= 1 )
507 {
508 const AbsFunction& aux = GaudiMath::Constant( 0.0 , 1 ) ;
509 return Genfun::FunctionNoop( &aux ) ;
510 }
511 const AbsFunction& aux = GaudiMath::Derivative( *this , i ) ;
512 return Genfun::FunctionNoop( &aux ) ;
513 }
GaudiMath::Derivative
Genfun::GaudiMathImplementation::NumericalDerivative Derivative
Definition: GaudiMath.h:29
ana.i
list i
Definition: ana.py:128
GaudiMath::Constant
Genfun::GaudiMathImplementation::Constant Constant
Definition: GaudiMath.h:27

const SplineBase& Genfun::GaudiMathImplementation::GSLSplineDeriv2::spline | ( |  | ) | const
| inline

acess to the spline function

Definition at line 537 of file Splines.h.

537 { return m_spline ; }
Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline
SplineBase m_spline
Definition: Splines.h:547

## Member Data Documentation

SplineBase Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline
| private

Definition at line 547 of file Splines.h.

The documentation for this class was generated from the following files:

- GaudiGSL/GaudiMath/Splines.h
- GaudiGSL/src/Lib/Splines.cpp